
COMMENT THIS COMMAND SELECTS FOR ONLY DAYS 10 AND 11, AND ONLY ONE PARTNER WITHIN THE DYAD SO WE ONLY HAVE INDIVIDUALS. 
COMPUTE filter_$=((day = 10 OR day=11)).
VARIABLE LABELS filter_$ '(day = 10 OR day=11) (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.
comment two level model. 

comment null model to check ICC.

MIXED
awish  WITH sloppy_roommateC first_similarNC genderN
  /FIXED = sloppy_roommateC first_similarNC genderN
  /PRINT = SOLUTION TESTCOV
  /Repeated day | SUBJECT(participant_ID) COVTYPE(CSh) .


comment two-level model with interactions with day. 
MIXED
awish  WITH sloppy_roommateC first_similarNC genderN dayR
  /FIXED = sloppy_roommateC first_similarNC genderN
dayR dayR*sloppy_roommateC dayR*first_similarNC dayR*genderN
  /PRINT = SOLUTION TESTCOV
  /Repeated day | SUBJECT(participant_ID) COVTYPE(CSh) .

comment two-level model with interactions with day re-coding similarity. 

MIXED
awish  WITH sloppy_roommateC first_similarN genderN dayR first_similarN_low 
  /FIXED = sloppy_roommateC first_similarN_low  genderN
dayR dayR*sloppy_roommateC dayR*first_similarN_low dayR*genderN
  /PRINT = SOLUTION TESTCOV
  /Repeated day | SUBJECT(participant_ID) COVTYPE(CSh) .
 
MIXED
awish  WITH sloppy_roommateC first_similarN genderN dayR first_similarN_high 
  /FIXED = sloppy_roommateC first_similarN_high  genderN
dayR dayR*sloppy_roommateC dayR*first_similarN_high dayR*genderN
  /PRINT = SOLUTION TESTCOV
  /Repeated day | SUBJECT(participant_ID) COVTYPE(CSh) .
 
comment two level model with dyadic data. select cases for day = 10. use sample_data_1.
SORT CASES BY dyad(A) day(A).


MIXED
awish  WITH sloppy_roommateC first_similarNC genderN
  /FIXED = sloppy_roommateC first_similarNC genderN
  /PRINT = SOLUTION TESTCOV
  /Repeated partnum | SUBJECT(dyad) COVTYPE(CSR) .


comment three level model. 
MIXED awish with sloppy_roommateC first_similarNC genderN dayR 
/FIXED = sloppy_roommateC first_similarNC genderN
 /PRINT = solution testcov
 /RANDOM = INTERCEPT | SUBJECT (dorm) 
 /RANDOM = INTERCEPT | SUBJECT (dorm*participant_ID). 


comment two-level crossed model 1. 
COMPUTE filter_$=((day = 10 OR day=11)).
VARIABLE LABELS filter_$ '(day = 10 OR day=11) (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.


MIXED Awish WITH sloppy_roommateC first_similarNC genderN dayR 
/FIXED = sloppy_roommateC first_similarNC genderN dayR 
/PRINT = SOLUTION TESTCOV
/REPEATED =RM | SUBJECT (Dyad) COVTYPE (UNR).

comment two level model for chi square difference test. 

MIXED Awish WITH sloppy_roommateC first_similarNC genderN dayR 
/FIXED = sloppy_roommateC first_similarNC genderN dayR 
/PRINT = SOLUTION TESTCOV
/REPEATED =RM | SUBJECT (Dyad) COVTYPE (VC).


comment linear growth curve model looking at disclosure as the outcome. 

USE ALL.
COMPUTE filter_$=(partnum=1).
VARIABLE LABELS filter_$ 'partnum=1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.


MIXED
  Disclosure  WITH Dayc
  /FIXED = Dayc   
  /PRINT = SOLUTION TESTCOV
  /RANDOM INTERCEPT DayC  | SUBJECT(ID) COVTYPE(UNR) .
comment model with a moderator. 
MIXED
  Disclosure  WITH Dayc sloppy_roommateC first_similarNC genderN
  /FIXED = Dayc first_similarNC first_similarNC*dayC sloppy_roommateC sloppy_RoommateC*dayC
  /PRINT = SOLUTION TESTCOV
  /RANDOM INTERCEPT DayC  | SUBJECT(ID) COVTYPE(UNR) .

 comment GEE run. select cases: 
USE ALL.
COMPUTE filter_$=(partnum=1).
VARIABLE LABELS filter_$ 'partnum=1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

GENLIN disclosure WITH dayC
  /MODEL dayC INTERCEPT=YES
 DISTRIBUTION=NORMAL LINK=IDENTITY
  /CRITERIA SCALE=MLE PCONVERGE=1E-006(ABSOLUTE) SINGULAR=1E-012 ANALYSISTYPE=3(WALD) CILEVEL=95 
    LIKELIHOOD=FULL
  /REPEATED SUBJECT=participant_ID WITHINSUBJECT=day SORT=YES CORRTYPE=AR(1) ADJUSTCORR=YES 
    COVB=ROBUST MAXITERATIONS=100 PCONVERGE=1e-006(ABSOLUTE) UPDATECORR=1
  /MISSING CLASSMISSING=EXCLUDE
  /PRINT CPS DESCRIPTIVES MODELINFO FIT SUMMARY SOLUTION.

comment basic stability and influence model. 

MIXED
disclosure WITH SLOPPY_LAGGEDC DISCLOSURE_LAGGEDC genderN sloppy_roommateC
  /FIXED =  SLOPPY_LAGGEDC DISCLOSURE_LAGGEDC sloppy_roommateC
  /PRINT = SOLUTION TESTCOV 
  /RANDOM intercept sloppy_laggedC disclosure_laggedC | SUBJECT(ID) COVTYPE(UNR). 
COMMENT CREATING VARIABLES. 

comment stability and influence model with moderation. 


MIXED
disclosure WITH SLOPPY_LAGGEDC DISCLOSURE_LAGGEDC genderN sloppy_roommateC
  /FIXED =  SLOPPY_LAGGEDC DISCLOSURE_LAGGEDC genderN genderN*SLOPPY_LAGGEDC genderN*DISCLOSURE_LAGGEDC
sloppy_roommateC sloppy_roommateC*genderN
  /PRINT = SOLUTION TESTCOV 
  /RANDOM intercept sloppy_laggedC disclosure_laggedC | SUBJECT(ID) COVTYPE(UNR).

MIXED
  ASATISF WITH Gender man woman ASATISF_LAGGEDc PSATISF_LAGGEDc
  /FIXED =  Gender ASATISF_LAGGEDc PSATISF_LAGGEDc ASATISF_LAGGEDc*Gender PSATISF_LAGGEDc*Gender
  /PRINT = SOLUTION TESTCOV 
/CRITERIA = MXSTEP(25) 
  /RANDOM man woman man*ASATISF_LAGGEDC woman*ASATISF_LAGGEDc man*PSATISF_LAGGEDC woman*PSATISF_LAGGEDc | SUBJECT(DYADID) COVTYPE(UN) 
    /REPEATED = Person | SUBJECT(DYADID*day) COVTYPE(CSH) .



COMMENT CREATING VARIABLES. 

compute sloppy_roommate = mean (proomtook, proomdorom, proom_mess). 
execute. 
 
compute sloppy_roommateC = sloppy_roommate-1.4839.
execute. 

compute first_similarN_low = first_similarN-3.07.
execute. 

compute first_similarNC = first_similarN-4.91.
execute.

compute first_similarN_high = first_similarN-6.11.
execute. 

RECODE day (10=-1) (11=1) INTO dayR.
EXECUTE.

RECODE day (10=0) (11=1) INTO dayc.
EXECUTE.


DATASET ACTIVATE DataSet1.
USE ALL.


DO IF  (partnum=1).
RECODE day (10=1) (11=2) INTO RM.
END IF.
EXECUTE.


DO IF  (partnum=2).
RECODE day (10=3) (11=4) INTO RM.
END IF.
EXECUTE.



COMPUTE ID=dyad.
EXECUTE.


COMPUTE participant_ID=dyad.
EXECUTE.

COMPUTE DISCLOSURE_LAGGED = LAG(DISCLOSURE) .
EXECUTE .

COMPUTE SLOPPY_LAGGED = LAG(sloppy_roommate) .
EXECUTE .

COMMENT REPLACING DAY 1 WITH 999.

IF (Day=1) DISCLOSURE_LAGGED = 999 .
EXECUTE .

IF (Day=1) SLOPPY_LAGGED = 999 .
EXECUTE .

COMMENT REPLACE THE 999s WITH SYSTEM MISSING. 

RECODE
DISCLOSURE_LAGGED  (999=SYSMIS)  .
EXECUTE .

RECODE
 SLOPPY_LAGGED  (999=SYSMIS)  .
EXECUTE .


compute  SLOPPY_LAGGEDC =  SLOPPY_LAGGED -1.5703.
execute. 

compute DISCLOSURE_LAGGEDC = DISCLOSURE_LAGGED-5.3365.
execute. 


